<template>
  <div>
      <v-card tile flat v-if="loading && staff === null" height="40">
          <div class="text-center">
              Fetching data ...
            <v-progress-circular indeterminate color="primary" :width="3" :size="32"></v-progress-circular>
          </div>
      </v-card>
      <v-card flat tile align="center" justify="center" v-if="!loading && staff === null">
            <ErrorPage title="No Staff Founds" message="No Staff members found matching this criteria." />
      </v-card>

      <div class="mt-2 mb-6 px-4" align="end" justify="end">
        <StaffCreate @stored="stored()"></StaffCreate>
      </div>
      <v-card flat tile v-if="staff">
            <v-data-table
            :headers="headers"
            :items="staff"
            class="elevation-1 main-table px-2"
            hide-default-footer
            disable-pagination
            item-key="id"

            >
              <!-- <template v-slot:item.registered_at="{ item }">
                <span class=""> {{ getFormatedUTCTime(item.registered_at) }}</span>
              </template> -->
            </v-data-table>
      </v-card>

  </div>
</template>

<script>
import { mapMutations, mapGetters, mapState, mapActions } from 'vuex';
// import timezoneMxn from '../../../mixins/timezoneMxn';
// import Staff from '../../../libs/staff/Staff';

export default {
  name: 'Staff',
  components: {
    ErrorPage: () => import('../../../components/core/errorPage'),
    StaffCreate: () => import('./create'),

  },
  // mixins: [timezoneMxn],

  data() {
    return {
      loading: false,
      page: 1,
      staff: null,
      // staffObj: new Staff(),
      headers: [
        {
          text: 'Name',
          align: 'start',
          sortable: false,
          value: 'name',
        },
        { text: 'Email', value: 'email' },
        { text: 'Phone', value: 'phone' },

        { text: 'Date Created', value: 'registered_at' },

      ],
    };
  },

  async mounted() {
    await this.retrieveStaff();
  },
  methods: {
    async retrieveStaff() {
      this.loading = true;
      this.staff = null;
      // this.staff = await this.staffObj.fetch(this.page);
      this.staff = [
        {
          name: 'John Doe',
          email: 'john@example.com',
          phone: '123-456-7890',
          registered_at: '2023-01-15',
        },
        {
          name: 'Jane Smith',
          email: 'jane@example.com',
          phone: '987-654-3210',
          registered_at: '2023-02-20',
        },
        {
          name: 'Alice Johnson',
          email: 'alice@example.com',
          phone: '555-555-5555',
          registered_at: '2023-03-10',
        },
        {
          name: 'Bob Williams',
          email: 'bob@example.com',
          phone: '777-888-9999',
          registered_at: '2023-04-05',
        },
        // Add more dummy users here if needed
      ];
      this.loading = true;
    },

    stored() {
      this.retrieveStaff();
    },
  },

};
</script>

<style>

</style>
